#pozadina{
    position: fixed;
    background-color: white;
    margin: 0;
    padding: 0;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: 0.5s linear;
    z-index: 1;
}

#naslov1{
    position: fixed;
    z-index: 3;
    height: 6vw;
    width: 40vw;
    left: 50%;
    margin-left: -20vw;
    top: 2vw;
    font-size: 6vw;
    font-family: sans-serif;
    font-weight: 900;
    color: #3c96eb;
    text-align: center;
    text-shadow: 0.5vw 0.5vw 1vw #888888;
    transition: 0.5s;
}
#naslov2{
    position: fixed;
    z-index: 3;
    height: 6vw;
    width: 40vw;
    left: 50%;
    top: 9vw;
    margin-left: -20vw;
    font-size: 7vw;
    font-family: sans-serif;
    font-weight: 700;
    color: #3c96eb;
    transform: scaleY(0.6);
    text-align: center;
    text-shadow: 0.5vw 0.5vw 1vw #888888;
    transition: 0.5s;
}


#darkom{
    position: fixed;
    background-color: #53d15f;
    background-image: url("slike/kanta.png");
    background-repeat: no-repeat;
    background-position: 50% 60%;
    background-size: 45%;
    height: 20vw;
    width: 20vw;
    margin-top: -10vw;
    margin-left: -10vw;
    border-radius: 50%;
    top: 50%;
    left: 35%;
    box-shadow: 2vw 1vw 2vw #888888;
    transform: scale(0.7);
    transition: 0.5s;
    opacity: 0.5;
    z-index: 5;   
}
#poklopac{
    position: absolute;
    background: url("slike/poklopac.png") top;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100%;
    height: 3vw;
    width: 10vw;
    margin-left: -5vw;
    margin-top: -1.5vw;
    top: 24%;
    left: 50%;
    transition-duration: 1s;
    transition-property: transform;
    transform-origin: right;
}
#papir{
    position: absolute;
    background: url("slike/papir.png") top;
    background-repeat: no-repeat;
    background-size: 60%;
    height: 4vw;
    width: 4vw;
    margin-left: -2vw;
    margin-top: -2vw;
    top: 22%;
    left: 35%;
    opacity: 0;
    transition: 0.5s;
}
#darkom_text{
    position: absolute;
    width: auto;
    height: auto;
    z-index: 2;
    top: 70%;
    left: 35%;
    color: #53d15f;
    font-family: sans-serif;
    text-align: center;
    font-size: 4vw;
    font-weight: bold;
    text-shadow: 0.5vw 0.5vw 1vw #888888;
    transform: translate(-50%, -50%) scale(0.5, 1);
    transition: 0.5s ease-in-out;
    transition-delay: 0.5s;
}
#darkom_text1{
    position: absolute;
    width: auto;
    height: auto;
    z-index: 2;
    top: 77%;
    left: 35%;
    color: #53d15f;
    font-family: sans-serif;
    text-align: center;
    font-size: 4vw;
    font-weight: bold;
    text-shadow: 0.5vw 0.5vw 1vw #888888;
    transform: translate(-50%, -50%) scale(0.5, 1);
    transition: 0.5s ease-in-out;
    transition-delay: 0.5s;
}
#darkom:hover{
    transform: scale(1);
    opacity: 1;
    transition: 0.5s ease-in-out;
    box-shadow: 8vw 4vw 2vw #888888;
}
#darkom:hover ~ #pozadina{
    background-color: #bfffc5;
    transition: background-color 500ms linear;
}
#darkom:hover ~ #darkom_text{
    transform: translate(-50%, 50%) scale(0.25, 0.5);
    transition: 0.5s;
    transition-delay: 0.5s;
}
#darkom:hover ~ #darkom_text1{
    transform: translate(-50%, 20%) scale(0.25, 0.5);
    transition: 0.5s;
    transition-delay: 0.5s;
}
#darkom:hover #poklopac{
    transform: translate(30%, 0%) rotate(20deg);
}
#darkom:hover #papir{
    opacity: 1;
    transition: 0.5s;
    transition-delay: 0.5s;
    -webkit-animation: papir 0.6s ease-in-out 1s;
    -webkit-animation-fill-mode: forwards;
    animation: papir 0.6s ease-in-out 1s;
    animation-fill-mode: forwards;
}
#darkom:hover ~ .nas{
    color: #53d15f;
    transition: 0.5s;
}

#plin{
    position: fixed;
    background-image: url("slike/plamenik.png");
    background-position: 50% 75%;
    background-repeat: no-repeat;
    background-size: 50%;
    background-color: tomato;
    height: 20vw;
    width: 20vw;
    margin-top: -10vw;
    margin-left: -10vw;
    border-radius: 50%;
    top: 50%;
    left: 20%;
    box-shadow: 2vw 1vw 2vw #888888;
    transform: scale(0.7);
    transition: 0.5s;
    opacity: 0.5;
    z-index: 5; 
}
#vatra{
    position: absolute;
    background: url("slike/vatra.png") top;
    background-position: 50% 0%;
    background-repeat: no-repeat;
    background-size: 90%;
    height: 20vw;
    width: 10vw;
    margin-left: -5vw;
    margin-top: -10vw;
    top: 50%;
    left: 50%;
    opacity: 0;
    transform: scale(0.8, 0);
    transform-origin: 50% 70%;
    transition-property: transform;
    transition: 0.5s ease-in-out;
 
}
#iskra{
    position: absolute;
    background: url("slike/iskra.png") top;
    background-repeat: no-repeat;
    background-size: 90%;
    height: 4vw;
    width: 4vw;
    margin-left: -2vw;
    margin-top: -2vw;
    top: 55%;
    left: 25%;
    opacity: 0;
}
#plin_text{
    position: absolute;
    width: auto;
    height: auto;
    z-index: 2;
    top: 70%;
    left: 20%;
    color: tomato;
    font-family: sans-serif;
    text-align: center;
    font-size: 4vw;
    font-weight: bold;
    text-shadow: 0.5vw 0.5vw 1vw #888888;
    transform: translate(-50%, -50%) scale(0.5, 1);
    transition: 0.5s ease-in-out;
    transition-delay: 0.5s;
}
#plin_text1{
    position: absolute;
    width: auto;
    height: auto;
    z-index: 2;
    top: 77%;
    left: 20%;
    color: tomato;
    font-family: sans-serif;
    text-align: center;
    font-size: 4vw;
    font-weight: bold;
    text-shadow: 0.5vw 0.5vw 1vw #888888;
    transform: translate(-50%, -50%) scale(0.5, 1);
    transition: 0.5s ease-in-out;
    transition-delay: 0.5s;
}
#plin:hover{
    transform: scale(1);
    opacity: 1;
    transition: 0.5s ease-in-out;
    box-shadow: 8vw 4vw 2vw #888888;
}
#plin:hover ~ #pozadina{
    background-color: #ffd3d3;
    transition: background-color 500ms linear;
}
#plin:hover ~ #plin_text{
    transform: translate(-50%, 50%) scale(0.25, 0.5);
    transition: 0.5s;
    transition-delay: 0.5s;
}#plin:hover ~ #plin_text1{
    transform: translate(-50%, 20%) scale(0.25, 0.5);
    transition: 0.5s;
    transition-delay: 0.5s;
}
#plin:hover #vatra{
    opacity: 1;
    transform: scale(1, 0.8);
    transition: 0.5s ease-in-out;
    transition-delay: 0.4s;
}
#plin:hover #iskra{
    -webkit-animation: iskra 0.2s linear;
    -webkit-animation-iteration-count: 2;
    animation: iskra 0.2s linear;
    animation-iteration-count: 2;
}
#plin:hover ~ .nas{
    color: tomato;
    transition: 0.5s;
}

#voda{
    position: fixed;
    background-color: cornflowerblue;
    background-image: url("slike/voda1.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 55%;
    height: 20vw;
    width: 20vw;
    margin-top: -10vw;
    margin-left: -10vw;
    border-radius: 50%;
    top: 50%;
    left: 65%;
    box-shadow: 2vw 1vw 2vw #888888;
    transform: scale(0.7);
    transition: 0.5s;
    opacity: 0.5;
    z-index: 5;
}
#nesto{
    position: absolute;
    background: url("slike/voda2.png") top;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100%;
    height: 1vw;
    width: 4vw;
    margin-left: -2vw;
    margin-top: -0.5vw;
    top: 24.9%;
    left: 39.5%;
    transition-duration: 1s;
    transition-property: transform;
}
#kap{
    position: absolute;
    background: url("slike/kap.png") top;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100%;
    height: 6vw;
    width: 2vw;
    margin-left: -1vw;
    margin-top: -3vw;
    top: 82%;
    left: 68%;
    transform: scale(0);
    transform-origin: top;
    transition: 0.5s;
    transition-delay: 0.5s;
}
#voda_text{
    position: absolute;
    width: auto;
    height: auto;
    z-index: 2;
    top: 70%;
    left: 65%;
    color: cornflowerblue;
    font-family: sans-serif;
    text-align: center;
    font-size: 4vw;
    font-weight: bold;
    text-shadow: 0.5vw 0.5vw 1vw #888888;
    transform: translate(-50%, -50%) scale(0.5, 1);
    transition: 0.5s ease-in-out;
    transition-delay: 0.5s;
}
#voda_text1{
    position: absolute;
    width: auto;
    height: auto;
    z-index: 2;
    top: 77%;
    left: 65%;
    color: cornflowerblue;
    font-family: sans-serif;
    text-align: center;
    font-size: 4vw;
    font-weight: bold;
    text-shadow: 0.5vw 0.5vw 1vw #888888;
    transform: translate(-50%, -50%) scale(0.5, 1);
    transition: 0.5s ease-in-out;
    transition-delay: 0.5s;
}
#voda:hover{
    transform: scale(1);
    opacity: 1;
    transition: 0.5s ease-in-out;
    box-shadow: 8vw 4vw 2vw #888888;
}
#voda:hover ~ #pozadina{
    background-color: #b7daff;
    transition: background-color 500ms linear;
}
#voda:hover ~ #voda_text{
    transform: translate(-50%, 50%) scale(0.25, 0.5);
    transition: 0.5s;
    transition-delay: 0.5s;
}
#voda:hover ~ #voda_text1{
    transform: translate(-50%, 20%) scale(0.25, 0.5);
    transition: 0.5s;
    transition-delay: 0.5s;
}
#voda:hover #nesto{
    transform: rotateY(3turn);
}
#voda:hover #kap{
/*    opacity: 1;*/
    transform: scale(1);
    transition: 0.5s;
    transition-delay: 0.5s;
}

.a_glavni{
    position: absolute;
    height: 100%;
    width: 100%;
    border-style: none;
    outline: none;
}

@-webkit-keyframes iskra{
    0%{
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}
@keyframes iskra{
    0%{
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}


@-webkit-keyframes papir{
    100%{
        opacity: 1;
        transform: translate(120%, 260%);
    }
}
@keyframes papir{
    100%{
        opacity: 1;
        transform: translate(120%, 260%);
    }
}
